Method Operation Tool

The method operation tool resource.

Basehttps://rest.carbon.ms/methodOperationTool
GET/methodOperationTool

List method operation tools

Retrieve a paginated list of method operation tools. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/methodOperationTool
curl --request GET \
  --url 'https://rest.carbon.ms/methodOperationTool?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "operationId": "xyz789",
    "toolId": "xyz789",
    "quantity": 10,
    "companyId": "xyz789",
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string",
    "updatedAt": "2026-01-01T00:00:00Z"
  }
]
GET/methodOperationTool

Retrieve a method operation tool

Fetch a single method operation tool by filtering on `id`.

Query parameters

idstring

Match on the method operation tool's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/methodOperationTool
curl --request GET \
  --url 'https://rest.carbon.ms/methodOperationTool?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "operationId": "xyz789",
  "toolId": "xyz789",
  "quantity": 10,
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "updatedAt": "2026-01-01T00:00:00Z"
}
POST/methodOperationTool

Create a method operation tool

Create a new method operation tool.

Body parameters

operationIdstringrequired

References methodOperation.id

toolIdstringrequired

References item.id

quantitynumberrequired
companyIdstringrequired

References company.id

POSThttps://rest.carbon.ms/methodOperationTool
curl --request POST \
  --url https://rest.carbon.ms/methodOperationTool \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"operationId":"xyz789","toolId":"xyz789","quantity":10,"companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "operationId": "xyz789",
  "toolId": "xyz789",
  "quantity": 10,
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "updatedAt": "2026-01-01T00:00:00Z"
}
PATCH/methodOperationTool

Update a method operation tool

Update an existing method operation tool, matched on `id`.

Body parameters

operationIdstringrequired

References methodOperation.id

toolIdstringrequired

References item.id

quantitynumberrequired
companyIdstringrequired

References company.id

PATCHhttps://rest.carbon.ms/methodOperationTool
curl --request PATCH \
  --url 'https://rest.carbon.ms/methodOperationTool?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"operationId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "operationId": "xyz789",
  "toolId": "xyz789",
  "quantity": 10,
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "updatedAt": "2026-01-01T00:00:00Z"
}
DELETE/methodOperationTool

Delete a method operation tool

Delete a method operation tool, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the method operation tool to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/methodOperationTool
curl --request DELETE \
  --url 'https://rest.carbon.ms/methodOperationTool?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content